/*!
 * @file connection_monitor.h
    \brief interface for all classes that have to be synchronized
 */

#ifndef _SYNCHRONIZEABLE_H
#define _SYNCHRONIZEABLE_H

#include <base_object.h>
#include "netdefs.h"

class Synchronizeable : virtual public BaseObject
  {
  public:

    Synchronizeable(const char* name);
    ~Synchronizeable();

    virtual void      writeBytes(const byte* data, int length);
    virtual int       readBytes(byte* data) const;
    virtual void      writeDebug() const;
    virtual void      readDebug() const;

    inline const char* getName() const { return this->name; }

  private:

    int               uniqueID;
    const char*       name;

  };
#endif /* _SYNCHRONIZEABLE_H */
